/***************************************************************************
 *   Copyright (C) 2002-2006, the RPPPPoEK developers                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kuniqueapplication.h>
#include <kaboutapplication.h>

#include "rppppoek.h"

static KCmdLineOptions options[] =
{
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
	KAboutData about("rppppoek", I18N_NOOP("RPPPPoEK"),
		VERSION,
		I18N_NOOP("Roaring Penguin PPPoE Kontrol\n\nA little tool to make \"Roaring Penguin PPPoE\"'s handling easier."),
		KAboutData::License_GPL,
		I18N_NOOP("(C) 2002-2006, the RPPPPoEK developers"), 0,
		"http://segfaultskde.berlios.de/index.php?content=rppppoek",
		"dermosher@users.berlios.de");

	about.addAuthor( "René Gaß", I18N_NOOP("Current maintainer"), "dermosher@users.berlios.de" );
	about.addAuthor( "Christian Nitschkowski", I18N_NOOP("Original author"), "segfault_ii@web.de" );

	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );

	KUniqueApplication app;
	rppppoek *mainWindow = new rppppoek(new KAboutApplication(&about));
	app.setMainWidget(mainWindow);
	mainWindow->show();

	return app.exec();
}
